# Add external authentication link

This function adds an External Authentication authorization link to an account.

Endpoint: GET /ExternalAuthentication/add_authn_link
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `preferred_username` (string, required)
    The preferred username of the account on the identity provider.
    Example: "Example"

  - `provider_id` (string, required)
    The name of the identity provider.
    Example: "google"

  - `subject_unique_identifier` (string, required)
    The unique identifier for the user at the identity provider.
    Example: "123456789012345678901"

  - `username` (string, required)
    The username.
    Example: "example"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "add_authn_link"

  - `module` (string)
    The name of the module called.
    Example: "ExternalAuthentication"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


